(function() {
    window.templateUrl = "bower_components/zeedhi-frontend/templates/dyman/";
    window.serviceUrl = "../backend<>URI_SERVICE_NAME<>/index.php";
    window.productApplyAcl = true;

    loginPromise ={};

    var packages = {
        "default": "./assets",
        "product": "./assets",
        "modules": "../../..<>BASE_FRONTEND_DIR<>/assets",
        "zeedhiFramework": "./bower_components/zeedhi-frontend/assets",
        "zh-customizations-service": "./bower_components/zh-customizations-service/src/templates",
        "zhuacl": "./bower_components/zhuaclfrontend/assets",
        "zhulog": "./bower_components/zhulog/assets",
        "lib": "./bower_components/tek-libraries",
        "acl": "/<>URL_PRODUCT_NAME<><>URL_MODULES_NAME<>acl<>BASE_FRONTEND_DIR<>/assets/",
        "login": "/<>URL_PRODUCT_NAME<><>URL_MODULES_NAME<>login<>BASE_FRONTEND_DIR<>/assets/",
        "zh-filter-preferences": "bower_components/zh-filter-preferences/dist/assets/",
        "zh-layout-preferences": "bower_components/zh-layout-preferences/dist/assets/",
        "zh-view-preferences": "bower_components/zh-view-preferences/dist/assets/",
        "zh-preferences": "bower_components/zh-view-preferences/dist/assets/"
    };

    var metadataUrls = [], serviceUrls = [];

    var loginUrlProduct = "<>LOGIN_BACKEND_URI_NAME<><>URI_SERVICE_NAME<>/index.php";
    var aclUrlProduct = "<>ACL_BACKEND_URI_NAME<><>URI_SERVICE_NAME<>/index.php";
    if(window.isZmart){
        loginUrlProduct = "<>LOGIN_CONTROL_BACKEND_URI_NAME<><>URI_SERVICE_NAME<>/index.php";
        aclUrlProduct = "<>ACCESS_CONTROL_BACKEND_URI_NAME<><>URI_SERVICE_NAME<>/index.php";
    }


    var pkgBaseUrls = {
        acl: aclUrlProduct,
        "zh-preferences": aclUrlProduct + '/zh-preferences',
        "zh-view-preferences": aclUrlProduct + '/zh-preferences',
        "zh-layout-preferences": aclUrlProduct + '/zh-preferences',
        "zh-filter-preferences": aclUrlProduct + '/zh-preferences',
        login: loginUrlProduct,
        default: window.serviceUrl
    };

    if(!window.isZmart) {
        pkgBaseUrls["product"] =  "../../../backend<>URI_SERVICE_NAME<>/index.php";
        packages["product"] = packages["modules"];
    }

    for (var key in packages) {
        metadataUrls.push({
            "package": key,
            "baseUrl": packages[key]
        });

        var keyPkg = key.split("_")[0];
        var realBaseKey = pkgBaseUrls.hasOwnProperty(keyPkg) ? keyPkg : "default";
        serviceUrls.push({
            "package": key,
            "baseUrl": pkgBaseUrls[realBaseKey]
        });
    }

    window.lang = "pt_br";
    window.metadataUrl = "./assets/";
    window.projectId = 3794;
    window.applicationVersion = '3.54.14';

    window.metadataUrls = metadataUrls;
    window.metaDataUrls = metadataUrls;
    window.serviceUrls = serviceUrls;

    window.cssStyle = "zeedhi";
    window.cssUrl = "../../..<>BASE_FRONTEND_DIR<>/assets/css/custom.css";

    window.templateUrls = window.templateUrls || [];

    window.templateUrls.push({
        package: "zh-customizations-service",
        baseUrl: "bower_components/zh-customizations-service/src/templates/"
    });
    window.templateUrls.push({
        package: "zh-interval-component",
        baseUrl: "bower_components/zh-interval-component/dist/templates/"
    });
    window.templateUrls.push({
        package: "zh-select-autocomplete",
        baseUrl: "bower_components/zh-select-autocomplete/dist/templates/"
    });
    window.templateUrls.push({
        package: "zh-reports",
        baseUrl: "bower_components/zh-reports/dist/templates/"
    });
    window.templateUrls.push({
        package: "zh-charts",
        baseUrl: "bower_components/zh-charts/dist/templates/"
    });
    window.templateUrls.push({
        package: 'zmart',
        baseUrl: 'templates/'
    });
    window.templateUrls.push({
        package: 'zmart-components',
        baseUrl: 'zmart_components/templates/'
    });
    window.templateUrls.push({
        package: 'zh-crosstab',
        baseUrl: 'bower_components/zh-crosstab/dist/templates/'
    });
    window.onbeforeunload = function() {
        localStorage.removeItem("filterWidget");
    };
})();