<?php
namespace Teknisa\ACL\Util\Instance;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DependencyInjection\InstanceManager;


class Service {

    /** @return  Service */
    public static function getInstance()
    {
        return new static();
    }

    /** @return \Teknisa\ACL\Services\Operator
     * @throws \Exception
     */
    public function getOperator()
    {
        return InstanceManager::getInstance()->getService('operatorService');
    }

    /** @return \Teknisa\ACL\Services\SqlLogs
     * @throws \Exception
     */
    public function getSqlLogs()
    {
        return InstanceManager::getInstance()->getService('SqlLogs');
    }

    /** @return \Teknisa\ACL\Services\PerfAcessParc
     * @throws \Exception
     */
    public function getPerfAcessParc()
    {
        return InstanceManager::getInstance()->getService('perfAcessParcService');
    }
    
}