<?php
namespace Teknisa\ACL\Util;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Teknisa\ACL\Util\Instance\Service as InstanceService;
use Teknisa\ACL\Util\Instance\Repository as InstanceRepository;

class InstanceProvider {
    
    public static function getService()
    {
        return InstanceService::getInstance();
    }
    
    public static function getRepository()
    {
        return InstanceRepository::getInstance();
    }
    
    public static function getEnvironment()
    {
        return InstanceManager::getInstance()->getService('acl_environment');
    }

    /** @return \Doctrine\ORM\EntityManager */
    public static function getEntityManager()
    {
        return InstanceManager::getInstance()->getService('entityManager');
    }
    
    public static function getNewCode()
    {
        return InstanceManager::getInstance()->getService('newCodeSC');
    }
    
    public static function getLibEnvironment()
    {
        return InstanceManager::getInstance()->getService('libEnvironment');
    }

    public static function getLibConnectionCustom()
    {
        return InstanceManager::getInstance()->getService('connectionCustom');
    }



}